### Function

# ECal ComponentAlarmTrigger new_absolute

since: 3.34

#### Declaration [src]

    ECalComponentAlarmTrigger*
    e_cal_component_alarm_trigger_new_absolute (
      const ICalTime* absolute_time
    )

#### Description [src]

Creates a new `ECalComponentAlarmTrigger` structure, set with the `E_CAL_COMPONENT_ALARM_TRIGGER_ABSOLUTE` kind and the `absolute_time` as the time of the trigger. The `absolute_time` should be date/time (not date) in UTC.

To create a relative trigger use e_cal_component_alarm_trigger_new_relative(). Free the trigger with e_cal_component_alarm_trigger_free(), when no longer needed.

Available since: 3.34

#### Parameters

`absolute_time`

  Type: `None`

  The absolute time when to trigger the alarm, as an `ICalTime`.

  The data is owned by the caller of the function.

#### Return value

Type: `ECalComponentAlarmTrigger`

A newly allocated `ECalComponentAlarmTrigger`.

The caller of the function takes ownership of the data, and is responsible for freeing it.